---
title: Get domain
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Registrar](https://developers.cloudflare.com/api/typescript/resources/registrar)

[Domains](https://developers.cloudflare.com/api/typescript/resources/registrar/subresources/domains)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get domain

Deprecated: This operation is deprecated and will reach end of life on September 27, 2026. Use the new Registrar API endpoints (domain-search, domain-check, registrations) instead. Refer to https://developers.cloudflare.com/fundamentals/api/reference/deprecations/ for details.

client.registrar.domains.get(stringdomainName, DomainGetParams {account\_id } params, RequestOptionsoptions?): [DomainGetResponse](<https://developers.cloudflare.com/api/typescript/resources/registrar#(resource)%20registrar.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)>)| null

GET/accounts/{account\_id}/registrar/domains/{domain\_name}

Show individual domain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

domainName: string

Provides a fully qualified domain name (FQDN), including the extension (e.g., `example.com`, `mybrand.app`). The domain name uniquely identifies a registration. Cloudflare permits only one registration per domain, making the domain name a natural idempotency key for registration requests.

[Link to this property](<#(resource)%20registrar.domains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20domain_name%20%3E%20(schema)>)

<details>

<summary>

params: DomainGetParams {account\_id }

</summary>

account\_id: string

Identifier.

maxLength32

<a href="#(resource)%20registrar.domains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar.domains%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

DomainGetResponse = unknown

[Link to this property](<#(resource)%20registrar.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)>)

### Get domain

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const domain = await client.registrar.domains.get('example.com', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(domain);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```